package com.example.module.admin.ent;

import xyz.wbsite.wsqlite.anonation.TableField;

import java.util.Date;
import java.util.List;

/**
 * MAPPING - 映射
 *
 * @author author
 * @version 0.0.1
 * @since 2019-09-28
 */
public class Service {

    /**
     * VALUE - 端口ID
     */
    @TableField
    private Long id;

    /**
     * VALUE - 端口值
     */
    @TableField
    private String value;

    /**
     * VALUE - 备注
     */
    @TableField
    private String bz;

    private List<Mapping> mappingList;

    public List<Mapping> getMappingList() {
        return mappingList;
    }

    public void setMappingList(List<Mapping> mappingList) {
        this.mappingList = mappingList;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz;
    }

    public Service() {
    }

    public Service(Long id, String value, String bz) {
        this.id = id;
        this.value = value;
        this.bz = bz;
    }
}